import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:recording_tool/app/router/app_navigator.dart';
import 'package:recording_tool/shared/widgets/app_webview.dart';
import 'package:recording_tool/shared/widgets/widgets.dart';

class AuthPageWidget extends StatefulWidget {
  const AuthPageWidget({super.key});

  @override
  State<AuthPageWidget> createState() => _AuthPageWidgetState();
}

class _AuthPageWidgetState extends State<AuthPageWidget> {
  @override
  Widget build(BuildContext context) {
    return Center(
      child: Column(
        children: [
          SizedBox(height: 180.h),
          Text('裁判工作台', style: TextStyle(fontSize: 50, color: Colors.black)),
          SizedBox(height: 20.h),
          Text('输入执裁口令', style: TextStyle(fontSize: 30, color: Colors.black)),
          SizedBox(height: 20.h),

          SizedBox(
            width: 280.w,
            height: 80.h,
            child: AppTextField(initialValue: 'hhh'),
          ),
          SizedBox(height: 20.h),
          SizedBox(
            width: 280.w,
            height: 80.h,
            child: AppButton(
              label: '确定',
              onPressed: () {
                // AppNavigator.push(const ScanQrCodePage());
                AppNavigator.push(
                  const WebviewPage(assetPath: 'assets/html/index.html'),
                );
              },
              variant: AppButtonVariant.secondary,
            ),
          ),
        ],
      ),
    );
  }
}
